from bottle import route, request, static_file

import config.env as env
import view.html as view
import model.markdown as markdown
import model.file_provider as file_provider
import controller.service as service

@route('/')
def index():
  files = file_provider.collect_nested_files(env.working_dir)
  return view.index(files)
  
@route('/view/<resource:path>')
def show_doc(resource):
  if '.png' in resource:
    return static_file(resource, root=env.working_dir)
  content = file_provider.read_file(resource)
  doc = markdown.read_doc(content)
  return view.to_html(doc)
